"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * Reducer that inserts a value to an object
 * @param  {any}    action.data      The element to be added
 * @param  {string} action.insertKey The key to use
 */
var objectInsertReducer = exports.objectInsertReducer = function objectInsertReducer() {
  var state = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];
  var action = arguments[1];

  return _extends({}, state, _defineProperty({}, "" + action.insertKey, action.data));
};

/**
 * Reducer that removes a value from an object
 * @param  {string} action.deleteKey The key to use
 */
var objectDeleteReducer = exports.objectDeleteReducer = function objectDeleteReducer(state, action) {
  var newState = _extends({}, state);
  delete newState[action.deleteKey];
  return newState;
};